perl-Dist-Zilla-PluginBundle-NIGELM-0.27-alt1.noarch.rpm


Advertisement

Description

perl-Dist-Zilla-PluginBundle-NIGELM - Build your distributions like I do

Property Value
Distribution ALT Linux Sisyphus
Repository Autoimports noarch
Package filename perl-Dist-Zilla-PluginBundle-NIGELM-0.27-alt1.noarch.rpm
Package name perl-Dist-Zilla-PluginBundle-NIGELM
Package version 0.27
Package release alt1
Package architecture noarch
Package type rpm
Category Development/Perl
Homepage -
License -
Maintainer -
Download size 53.29 KB
Installed size 53.29 KB
This is the the Dist::Zilla manpage configuration I use to build my distributions. It
was originally based on the @FLORA bundle but additionally pulls in ideas from
@MARCEL bundle.
It is roughly equivalent to:
[Git::NextVersion]
first_version  = 0.01,
version_regexp = release/(\d+.\d+)
[Git::Check]
[Git::CheckFor::CorrectBranch]
release_branch = master
[Git::CheckFor::MergeConflicts]
[GatherDir]
[Test::Compile]
[Test::Perl::Critic]
[MetaTests]
[PodCoverageTests]
[PodSyntaxTests]
[Test::PodSpelling]
[Test::Kwalitee]
[Test::Portability]
[Test::Synopsis]
[Test::MinimumVersion]
[HasVersionTests]
[Test::DistManifest]
[Test::UnusedVars]
[Test::NoTabs]
[Test::EOL]
[Test::ReportPrereqs]
[InlineFiles]
[PruneCruft]
[PruneFiles]
filenames = dist.ini
[ManifestSkip]
[AutoPrereqs]
[MetaConfig]
[MetaProvides::Class]
[MetaProvides::Package]
[MetaResources]
[Authority]
authority   = cpan:NIGELM
do_metadata = 1
locate_comment = 1
[ExtraTests]
[NextRelease]
[OurPkgVersion]
[PodWeaver]
config_plugin = @DAGOLDEN
[License]
[MakeMaker]
[MetaYAML]
[MetaJSON]
[ReadmeAnyFromPod]
type = pod
filename = README.pod
location = root
[InstallGuide]
[Manifest]
[Git::Commit]
[Git::Tag]
[Git::CommitBuild]
branch =
release_branch = cpan
[Git::Push]
[CheckChangeLog]
[UploadToCPAN] or [FakeRelease]

Alternatives

Package Version Architecture Repository
perl-Dist-Zilla-PluginBundle-NIGELM - - -

Requires

Name Value
/usr/share/perl5 -
perl(Dist/Zilla.pm) >= 5.033
perl(Dist/Zilla/Plugin/Authority.pm) >= 1.005
perl(Dist/Zilla/Plugin/AutoPrereqs.pm) -
perl(Dist/Zilla/Plugin/CheckChangeLog.pm) -
perl(Dist/Zilla/Plugin/CopyReadmeFromBuild.pm) -
perl(Dist/Zilla/Plugin/ExecDir.pm) -
perl(Dist/Zilla/Plugin/ExtraTests.pm) -
perl(Dist/Zilla/Plugin/FakeRelease.pm) -
perl(Dist/Zilla/Plugin/GatherDir.pm) -
perl(Dist/Zilla/Plugin/Git/Check.pm) -
perl(Dist/Zilla/Plugin/Git/CheckFor/CorrectBranch.pm) -
perl(Dist/Zilla/Plugin/Git/CheckFor/Fixups.pm) -
perl(Dist/Zilla/Plugin/Git/CheckFor/MergeConflicts.pm) -
perl(Dist/Zilla/Plugin/Git/Commit.pm) -
perl(Dist/Zilla/Plugin/Git/CommitBuild.pm) >= 1.110.480
perl(Dist/Zilla/Plugin/Git/NextVersion.pm) -
perl(Dist/Zilla/Plugin/Git/Push.pm) -
perl(Dist/Zilla/Plugin/Git/Tag.pm) -
perl(Dist/Zilla/Plugin/HasVersionTests.pm) -
perl(Dist/Zilla/Plugin/InlineFiles.pm) -
perl(Dist/Zilla/Plugin/InstallGuide.pm) -
perl(Dist/Zilla/Plugin/License.pm) -
perl(Dist/Zilla/Plugin/MakeMaker.pm) -
perl(Dist/Zilla/Plugin/Manifest.pm) -
perl(Dist/Zilla/Plugin/ManifestSkip.pm) -
perl(Dist/Zilla/Plugin/MetaConfig.pm) -
perl(Dist/Zilla/Plugin/MetaJSON.pm) -
perl(Dist/Zilla/Plugin/MetaProvides/Class.pm) -
perl(Dist/Zilla/Plugin/MetaProvides/Package.pm) -
perl(Dist/Zilla/Plugin/MetaResources.pm) -
perl(Dist/Zilla/Plugin/MetaTests.pm) -
perl(Dist/Zilla/Plugin/MetaYAML.pm) -
perl(Dist/Zilla/Plugin/NextRelease.pm) -
perl(Dist/Zilla/Plugin/OurPkgVersion.pm) -
perl(Dist/Zilla/Plugin/PodCoverageTests.pm) -
perl(Dist/Zilla/Plugin/PodSyntaxTests.pm) -
perl(Dist/Zilla/Plugin/PodWeaver.pm) -
perl(Dist/Zilla/Plugin/PruneCruft.pm) -
perl(Dist/Zilla/Plugin/PruneFiles.pm) -
perl(Dist/Zilla/Plugin/ReadmeAnyFromPod.pm) -
perl(Dist/Zilla/Plugin/ShareDir.pm) -
perl(Dist/Zilla/Plugin/TaskWeaver.pm) -
perl(Dist/Zilla/Plugin/Test/Compile.pm) -
perl(Dist/Zilla/Plugin/Test/DistManifest.pm) -
perl(Dist/Zilla/Plugin/Test/EOL.pm) -
perl(Dist/Zilla/Plugin/Test/Kwalitee.pm) -
perl(Dist/Zilla/Plugin/Test/MinimumVersion.pm) -
perl(Dist/Zilla/Plugin/Test/NoTabs.pm) -
perl(Dist/Zilla/Plugin/Test/Perl/Critic.pm) -
perl(Dist/Zilla/Plugin/Test/PodSpelling.pm) -
perl(Dist/Zilla/Plugin/Test/Portability.pm) -
perl(Dist/Zilla/Plugin/Test/ReportPrereqs.pm) -
perl(Dist/Zilla/Plugin/Test/Synopsis.pm) -
perl(Dist/Zilla/Plugin/Test/UnusedVars.pm) -
perl(Dist/Zilla/Plugin/UploadToCPAN.pm) -
perl(Dist/Zilla/Role/PluginBundle/Easy.pm) -
perl(Method/Signatures/Simple.pm) -
perl(Moose.pm) >= 1.0
perl(Moose/Util/TypeConstraints.pm) -
perl(MooseX/Types/Email.pm) -
perl(MooseX/Types/Moose.pm) -
perl(MooseX/Types/Structured.pm) >= 0.200
perl(MooseX/Types/URI.pm) -
perl(Pod/Weaver/PluginBundle/DAGOLDEN.pm) -
perl(namespace/autoclean.pm) -
rpmlib(PayloadIsLzma) -

Provides

Name Value
perl(Dist/Zilla/PluginBundle/NIGELM.pm) = 0.270
perl-Dist-Zilla-PluginBundle-NIGELM = 0.27-alt1

Download

Type URL
Mirror ftp.altlinux.org
Binary Package perl-Dist-Zilla-PluginBundle-NIGELM-0.27-alt1.noarch.rpm
Source Package perl-Dist-Zilla-PluginBundle-NIGELM-0.27-alt1.src.rpm

Install Howto

  1. Add the following line to /etc/apt/sources.list:
    
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/autoimports/Sisyphus noarch autoimports
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/autoimports/Sisyphus noarch autoimports
    
  2. Update the package index:
    # sudo apt-get update
  3. Install perl-Dist-Zilla-PluginBundle-NIGELM rpm package:
    # sudo apt-get install perl-Dist-Zilla-PluginBundle-NIGELM

Files

Path
/usr/share/doc/perl-Dist-Zilla-PluginBundle-NIGELM-0.27/Changes
/usr/share/doc/perl-Dist-Zilla-PluginBundle-NIGELM-0.27/LICENSE
/usr/share/doc/perl-Dist-Zilla-PluginBundle-NIGELM-0.27/README
/usr/share/perl5/Dist/
/usr/share/perl5/Dist/Zilla/
/usr/share/perl5/Dist/Zilla/PluginBundle/NIGELM.pm

See Also

Package Description
perl-Dist-Zilla-PluginBundle-NRR-0.121220-alt1.noarch.rpm Rampage through CPAN-Tokyo the NRR way!
perl-Dist-Zilla-PluginBundle-NUFFIN-0.01-alt1.noarch.rpm Cargo cult module releases
perl-Dist-Zilla-PluginBundle-ODYNIEC-0.021-alt1.noarch.rpm Dist::Zilla configuration the way ODYNIEC does it
perl-Dist-Zilla-PluginBundle-Prereqs-0.93-alt1.noarch.rpm Useful Prereqs modules in a Dist::Zilla bundle
perl-Dist-Zilla-PluginBundle-RBO-0.002-alt1.noarch.rpm Dist::Zilla plugins for RBO
perl-Dist-Zilla-PluginBundle-RBUELS-0.1-alt1.noarch.rpm Build your distributions like RBUELS does
perl-Dist-Zilla-PluginBundle-ROKR-0.0019-alt1.1.noarch.rpm A nifty little plugin bundle for Dist::Zilla
perl-Dist-Zilla-PluginBundle-RSRCHBOY-0.067-alt1.noarch.rpm Zilla your distributions like RSRCHBOY!
perl-Dist-Zilla-PluginBundle-Rakudo-0.01-alt1.noarch.rpm Bundle of plugins needed for building a rakudo distribution
perl-Dist-Zilla-PluginBundle-SCHWIGON-0.019-alt1.noarch.rpm Build your distributions like SCHWIGON does
perl-Dist-Zilla-PluginBundle-SHANTANU-0.24-alt1.noarch.rpm Dist Zilla Plugin Bundle the way I like to use it
perl-Dist-Zilla-PluginBundle-SHARYANTO-0.09-alt1.noarch.rpm Dist::Zilla like SHARYANTO when you build your dists
perl-Dist-Zilla-PluginBundle-SHLOMIF-0.000009-alt1.noarch.rpm Dist::Zilla plugins for me
perl-Dist-Zilla-PluginBundle-Starter-3.0.5-alt1.noarch.rpm A minimal Dist::Zilla plugin bundle
perl-Dist-Zilla-PluginBundle-Starter-Git-3.0.1-alt1.noarch.rpm A minimal Dist::Zilla plugin bundle for git workflows
Advertisement
Advertisement